[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiStartsText

Check whether a string starts with a given substring, ignoring case

## Declaration

Source position: strutils.pp line 31

`function AnsiStartsText(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Arguments

`ASubText` |  | Substring to check for
`AText` |  | String to check in

## Function result

True if the given string starts with the substring, False if not.

## Description

AnsiStartsText checks AText to see whether it starts with ASubText , and returns True if it does, False if not. The check is performed case-insensitive. Basically, it checks whether the position of ASubText equals 1.

## Errors

None.

## See also

AnsiEndsText |  | Check whether a string ends with a certain substring, ignoring case.
AnsiStartsStr |  | Check whether a string starts with a given substring, observing case
AnsiIndexText |  | Searches, case insensitive, for a string in an array of strings.
AnsiContainsText |  | Check whether a string contains a certain substring, ignoring case.

Documentation generated on: Feb 26 2014